Subject: Salary not released yet,
From: Mohd Adeel <[email-masked]>
To: Harpreet Jaswal <[email-masked]>, "HR | Livesalesman" <[email-masked]>
Cc: "Ashish Dabral" <[email-masked]>, Niren Dsouza <[email-masked]>
Date: Mon, 10 May 2021 07:34:40 -0700 (MST)

Hi Harpreet, 

Hoper this email finds you well, 

With due respect I would like to inform you that my salary for the month of April has not been released, I resigned on 26th of April and my last working day is 25th of May. 
I would request you to kindly look into this because the salary has already been delayed and receiving it after the notice period would mean to receive it after 75 days which is totally out of understanding. 

The festival of Eid is near and I need my salary on urgent basis. 

Best regards, 
Mohd Adeel Akhter